bitel.billing.server.admin.errorlog.bean

## Class PeriodicErrorManager

- java.lang.Object
- - bitel.billing.server.admin.errorlog.bean.PeriodicErrorManager

-     public class PeriodicErrorManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MAX_ERROR_PARAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodicErrorManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addErrorToList(java.lang.String errorSubj, java.lang.String errorText)`
    `void` | `addErrorToList(java.lang.String errorSubj, java.lang.String errorText, java.lang.Exception ex)`
    `boolean` | `deleteErrorsByIds(java.lang.String ids)`
    `void` | `deleteErrorsByMarker(java.lang.String marker, java.util.Date recalcTime)`
    `int` | `getCounter()`
    `int` | `getErrorCount(java.util.Date month)`
    `java.util.List<PeriodicProcessErrorMessage>` | `getErrors(java.util.Date month, Period regPeriod, Page page, java.lang.String contains)`
    `void` | `initErrorMessage(int mid, java.lang.String moduleName, java.lang.String marker, java.util.Date calcDate)`
    `boolean` | `isCapReached()`
    `void` | `processErrors()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_ERROR_PARAM

          public static java.lang.String MAX_ERROR_PARAM

  - ### Constructor Detail

    - #### PeriodicErrorManager

          public PeriodicErrorManager(java.sql.Connection con)

  - ### Method Detail

    - #### initErrorMessage

          public void initErrorMessage(int mid,
                                       java.lang.String moduleName,
                                       java.lang.String marker,
                                       java.util.Date calcDate)

    - #### isCapReached

          public boolean isCapReached()

    - #### addErrorToList

          public void addErrorToList(java.lang.String errorSubj,
                                     java.lang.String errorText)

    - #### addErrorToList

          public void addErrorToList(java.lang.String errorSubj,
                                     java.lang.String errorText,
                                     java.lang.Exception ex)

    - #### getCounter

          public int getCounter()

    - #### processErrors

          public void processErrors()

    - #### deleteErrorsByMarker

          public void deleteErrorsByMarker(java.lang.String marker,
                                           java.util.Date recalcTime)

    - #### getErrors

          public java.util.List<PeriodicProcessErrorMessage> getErrors(java.util.Date month,
                                                                       Period regPeriod,
                                                                       Page page,
                                                                       java.lang.String contains)

    - #### deleteErrorsByIds

          public boolean deleteErrorsByIds(java.lang.String ids)

    - #### getErrorCount

          public int getErrorCount(java.util.Date month)